# Interface ImportMetaEnv

interface ImportMetaEnv {
BASE_URL : string;
DEV : boolean;
MODE : string;
PROD : boolean;
SSR : boolean;
VITE_API_BASE_URL ?: string;
VITE_BYPASS_LOGIN ?: string;
VITE_BYPASS_TUTORIAL ?: string;
VITE_SERVER_URL ?: string;
[key: string]: any;
}

#### Indexable

[key: string]: any

- Defined in node_modules/vite/types/importMeta.d.ts:5
- Defined in src/vite.env.d.ts:3

#####
Index

### Properties

BASE_URL
DEV
MODE
PROD
SSR
VITE_API_BASE_URL?
VITE_BYPASS_LOGIN?
VITE_BYPASS_TUTORIAL?
VITE_SERVER_URL?

## Properties

### BASE_URL

BASE_URL: string

- Defined in node_modules/vite/types/importMeta.d.ts:7

### DEV

DEV: boolean

- Defined in node_modules/vite/types/importMeta.d.ts:9

### MODE

MODE: string

- Defined in node_modules/vite/types/importMeta.d.ts:8

### PROD

PROD: boolean

- Defined in node_modules/vite/types/importMeta.d.ts:10

### SSR

SSR: boolean

- Defined in node_modules/vite/types/importMeta.d.ts:11

### `Optional` `Readonly` VITE_API_BASE_URL

VITE_API_BASE_URL?: string

- Defined in src/vite.env.d.ts:6

### `Optional` `Readonly` VITE_BYPASS_LOGIN

VITE_BYPASS_LOGIN?: string

- Defined in src/vite.env.d.ts:4

### `Optional` `Readonly` VITE_BYPASS_TUTORIAL

VITE_BYPASS_TUTORIAL?: string

- Defined in src/vite.env.d.ts:5

### `Optional` `Readonly` VITE_SERVER_URL

VITE_SERVER_URL?: string

- Defined in src/vite.env.d.ts:7